﻿
using System;
using System.IO;
using System.Net.Sockets;
using TemplateMethodTcpServer;

namespace EchoServer
{
    class EchoServer : AbstractTcpServer
    {
        public EchoServer(int port) : base(port) { }

        protected override void HandleRequest(TcpClient client)
        {
            using (StreamReader fromClient = new StreamReader(client.GetStream()))
            using (StreamWriter toClient = new StreamWriter(client.GetStream()))
            {
                String line = fromClient.ReadLine();
                Console.WriteLine("Request: " + line);
                toClient.WriteLine(line);
                toClient.Flush();
                client.Close();
            }
        }
    }
}
