﻿using System;
using System.IO;
using System.Net.Sockets;
using System.Threading.Tasks;

namespace EchoServer
{
    class Program
    {
        static void Main()
        {
            EchoServer echoServer = new EchoServer(13);
            Task.Run(()=> echoServer.Run());
            TcpClient client = new TcpClient("127.0.0.1", 13);
            using (StreamReader fromServer = new StreamReader(client.GetStream()))
            using (StreamWriter toServer = new StreamWriter(client.GetStream()))
            {
                toServer.WriteLine("Hallo world");
                toServer.Flush();
                String str = fromServer.ReadLine();
                Console.WriteLine(str);
            }
            echoServer.Stop();
        }
    }
}
