﻿using System;
using System.IO;
using System.Net.Sockets;
using TemplateMethodTcpServer;

namespace DaytimeServer
{
    public class DaytimeServer : AbstractTcpServer
    {
        public DaytimeServer(int port) : base(port) { }
        protected override void HandleRequest(TcpClient client)
        {
            try
            {
                using (StreamWriter toClient = new StreamWriter(client.GetStream()))
                {
                    toClient.WriteLine(DateTime.Now.ToString());
                    toClient.Flush();
                }
            }
            finally
            {
                client.Close();
            }
        }
    }
}
