﻿using System;
using System.IO;
using System.Net.Sockets;
using System.Threading.Tasks;

namespace DaytimeServer
{
    class Program
    {
        static void Main()
        {
            DaytimeServer server = new DaytimeServer(13);
            Task.Run(() => server.Run());
            TcpClient client = new TcpClient("127.0.0.1", 13);
            using (StreamReader fromServer = new StreamReader(client.GetStream()))
            {
                String timeString = fromServer.ReadLine();
                Console.WriteLine(timeString);
            }client.Close();
            server.Stop();
        }
    }
}
